
QGIS Application - Bug report #13869

QGis gets slower while editing

2015-11-24 05:50 AM - Giuseppe Patti

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.8.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 21892

Description

QGis becomes slower after editing a few geometries. When a layer is in edit mode, you start selecting features and deleting them. After a

few operations selecting takes several minutes and you need to close the project in order to restart, but again after a few deletions it still

hangs.

Tested on win 10 64 bit, osgeo4w install, v. 2.12 (same also in 2.8.3).

Related issues:

Duplicated by QGIS Application - Bug report # 14271: QGIS 2.8 - Get very slow Closed 2016-02-10

History

#1 - 2015-11-24 10:22 AM - Gerhard Spieles

plugins CADDigitize and perhaps CadTools seems to produce this behavior.

Time to seve changes or saving the project grows exponential. after five or six changes saved, QGIS is near to freeze (5 Minutes to save edits in a shp-File

or spatialite db).

deinstall this plugins helped in my case.

you can also try to start qgis without plugins (insert --noplugins in the qgis.bat file in bin birectory )

#2 - 2015-11-25 01:34 AM - Saber Razmjooei

- Category set to Digitising

- Affected QGIS version changed from 2.12.0 to 2.8.3

Do you have the Advanced digitising enabled?

If so, it is probably related to #13804.

#3 - 2015-11-25 01:48 PM - Saber Razmjooei

- Status changed from Open to Feedback

#4 - 2015-11-26 01:22 AM - Giuseppe Patti

After a few attempts, disabling unnecessary plugins seems to work the problem out. But I'd like to stress the point that working without plugins or with a

limited number of them is not a normal user situation

#5 - 2015-11-29 02:53 AM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to invalid

Giuseppe Patti wrote:

After a few attempts, disabling unnecessary plugins seems to work the problem out. But I'd like to stress the point that working without plugins or

with a limited number of them is not a normal user situation

Of course, but it is also not a qgis (core) issue. If you are missing core tools then consider adding them or supporting their development. Cheers!

#6 - 2015-11-29 12:19 PM - Nyall Dawson

As Giovanni stated, this is out of our control and not something we can fix. The next steps would be to disable each plugin one-by-one until you can identify

the problematic plugin, and then contact the plugin's author and get them to fix the issue.

#7 - 2016-11-04 04:02 AM - Oskar Karlin

I'll try without plugins and get back to you!
